<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>human_control: fosim Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">human_control
   </div>
   <div id="projectbrief">ROS Package used in coordination with the ospi2urdf package.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fosim Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Simple class testing the publication of Q vector to Rviz through JointState.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a4e818b44bb2aab16bf2f8f6440ce8372"><td class="memItemLeft" align="right" valign="top"><a id="a4e818b44bb2aab16bf2f8f6440ce8372"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>printJointsValues</b> (osim::Model &amp;Model, SimTK::State &amp;osimState)</td></tr>
<tr class="separator:a4e818b44bb2aab16bf2f8f6440ce8372"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08d3b2dacb6a12523ff6906db56357d0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefosim.html#a08d3b2dacb6a12523ff6906db56357d0">IK_from_markers_positions</a> (osim::Model &amp;osimModel, SimTK::State &amp;osimState, std::vector&lt; double &gt; markers_positions, std::string xml_taskset, std::string trc_taskset)</td></tr>
<tr class="separator:a08d3b2dacb6a12523ff6906db56357d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Simple class testing the publication of Q vector to Rviz through JointState. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a08d3b2dacb6a12523ff6906db56357d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08d3b2dacb6a12523ff6906db56357d0">&#9670;&nbsp;</a></span>IK_from_markers_positions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fosim::IK_from_markers_positions </td>
          <td>(</td>
          <td class="paramtype">osim::Model &amp;&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SimTK::State &amp;&#160;</td>
          <td class="paramname"><em>osimState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; double &gt;&#160;</td>
          <td class="paramname"><em>markers_positions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>xml_taskset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>trc_taskset</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>#IKTaskSet = osim.IKTaskSet(xml_taskset) #print(IKTaskSet.getWeight())</p>
<p>IKTaskSet.createMarkerWeightSet(aweights)</p>
<p>print("size : " ,aweights.getSize()) print("num : " ,aweights.get(0).getWeight())</p>
<p>markerNames = []</p>
<p>L = osim.ArrayStr() aweights.getNames(L)</p>
<p>for i in range(L.getSize()): markerNames.append(L.get(i))</p>
<p>M = osim.MatrixVec3(1,len(markerNames)) for i in range(len(markerNames)): V = osim.Vec3()</p>
<p>V.set(0,markers_positions[3*i]) V.set(1,markers_positions[3*i+1]) V.set(2,markers_positions[3*i+2])</p>
<p>M.set(0,i,V)</p>
<p>#table2 = osim.TimeSeriesTable([0.0],M,label_col)</p>
<p>table = osim.TimeSeriesTableVec3([0.0],M,markerNames)</p>
<h1>print(table)</h1>
<h1>print(type(table))</h1>
<p>nmarker_ref = osim.MarkersReference(table,aweights)</p>
<p>coord_ref = osim.SimTKArrayCoordinateReference(len(markerNames))</p>
<p>#coord_ref.getConcreteClassName() obj = nmarker_ref</p>
<p>dwn = nmarker_ref.safeDownCast(obj) print(nmarker_ref)</p>
<p>print(dwn)</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
